summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Bauer2019-09-03 10:51:07 +0200
committerJonathan Bauer2019-09-03 10:51:07 +0200
commit34bbad28aa01209af2ae6e8a32134ea296f7c73b (patch)
treef1db76b913892a0cbfb35f35301abf457076ea9a
parent[dnbd3-rfs] fix SLX_DNBD3_RID being ignored (diff)
downloadsystemd-init-34bbad28aa01209af2ae6e8a32134ea296f7c73b.tar.gz
systemd-init-34bbad28aa01209af2ae6e8a32134ea296f7c73b.tar.xz
systemd-init-34bbad28aa01209af2ae6e8a32134ea296f7c73b.zip
[dnbd3-rootfs] fix return values of helper
+ let GNU make decide how many cores to use
-rw-r--r--builder/modules.d/dnbd3-rootfs/scripts/build.sh18
1 files changed, 11 insertions, 7 deletions
diff --git a/builder/modules.d/dnbd3-rootfs/scripts/build.sh b/builder/modules.d/dnbd3-rootfs/scripts/build.sh
index 4df163df..36b54065 100644
--- a/builder/modules.d/dnbd3-rootfs/scripts/build.sh
+++ b/builder/modules.d/dnbd3-rootfs/scripts/build.sh
@@ -26,7 +26,7 @@ build_compile_qemu_xmount() {
--extra-cflags="-I${xmount_installation}/include" \
--extra-cflags="-I${xmount_installation}/include/xmount" \
--disable-fdt --target-list=""
- make -j4 libxmount_input_qemu.so
+ make -j libxmount_input_qemu.so
local ret=$?
popd
return $ret
@@ -35,8 +35,9 @@ build_clean_qemu_xmount() {
local __doc__='Clean the build of `build_compile_qemu_xmount`.'
pushd "$1"
make clean
+ local ret=$?
popd
- return $?
+ return $ret
}
build_compile_xmount() {
local __doc__='
@@ -60,7 +61,7 @@ build_compile_xmount() {
cd trunk/build || return 1
cmake -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX="$install_prefix" ..
- make -j4
+ make -j
make install DESTDIR="$destination_directory"
local ret=$?
popd
@@ -94,9 +95,10 @@ build_compile_dnbd3() {
# Inject CMAKE_FLAGS as a way to control how cmake is called,
# e.g. to pass the kernel version
cmake ${CMAKE_FLAGS} ../
- make -j4 dnbd3 dnbd3-client
+ make -j dnbd3 dnbd3-client
+ local ret=$?
popd
- return $?
+ return $ret
}
build_clean_dnbd3() {
local __doc__='Clean the build of `build_compile_dnbd3`.'
@@ -113,8 +115,9 @@ build_compile_systemd_preserve_process_marker() {
'
pushd "$1"
make
+ local ret=$?
popd
- return $?
+ return $ret
}
build_clean_systemd_preserve_process_marker() {
local __doc__='
@@ -123,8 +126,9 @@ build_clean_systemd_preserve_process_marker() {
'
pushd "$1"
make clean
+ local ret=$?
popd
- return $?
+ return $ret
}
# region vim modline
# vim: set tabstop=4 shiftwidth=4 expandtab: